Subject: Re: segfault in completion for configure
From: Peter Stephenson <[email-masked]>
To: [email-masked]
Date: Mon, 21 Mar 2016 10:56:11 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Sat, 19 Mar 2016 19:07:57 -0700
Bart Schaefer <[email-masked]> wrote:
> Specifically, if the signals arrive in order USR1 USR2 such that USR2
> is handled during the [[ ]] expression in TRAPUSR1, then the state from
> TRAPUSR2 will be discarded.  I don't know if/how we ought to document.

Are you simply worried that a pattern match that happens asynchronously
might not leave behind $MATCH / $match etc. values after return owing to
other asynchronous goings on with pattern matching?  I don't think
that's an issue.  I'm sure there must be other examples of this.

pws